# directory.hpp File Reference

`#include <string>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/types.hpp>`
`#include <saga/saga/object.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/packages/namespace/namespace_dir.hpp>`
`#include <saga/saga/packages/file/file.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::filesystem
## Classes
class | saga::filesystem::directory
| The SAGA file package directory API. More...